%define name timidity-instruments
%define version	1.0

Summary: Instruments for the timidity midi->wave converter/player
Name: %{name}
Version: %{version}
Release: %mkrel 1
Group: Sound
License: Public Domain
URL: http://timidity.jp/
#Patches at http://www.cs.umbc.edu/pub/midia/
Source0: midia-instruments.tar.xz
Source1: http://www.timidity.jp/dist/cfg/midia.cfg.tar.xz
Source2: http://www.timidity.jp/dist/cfg/gravis.cfg.tar.xz
Source3: http://www.stardate.bc.ca/eawpatches/eawpats/britepno.pat.tar.xz
Source4: http://www.stardate.bc.ca/eawpatches/eawpats/pistol.pat.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: timidity-patch-freepats
BuildArch: noarch


%description
This package contains a set of instruments for the timidity midi->wave
converter/player.



%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p %{buildroot}%{_datadir}/timidity/instruments
cd %{buildroot}%{_datadir}/timidity/
unxz -c %{SOURCE0} | tar xf - 
unxz -c %{SOURCE1} | tar xf - 
unxz -c %{SOURCE2} | tar xf - 
cd %{buildroot}%{_datadir}/timidity/instruments
unxz -c %{SOURCE3} | tar xf - 
unxz -c %{SOURCE4} | tar xf -



%clean
rm -rf $RPM_BUILD_ROOT 
rm -rf $RPM_BUILD_DIR

%files
%defattr(-,root,root)
%{_datadir}/timidity

%changelog
* Sat Sep 14 2013 Ken <lxgator at gmail.com> 1.0-1pclos2013
- initial build 
